Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Client

Name

### readChar()

Examples

    // Example by Tom Igoe

    import processing.net.*;
    Client myClient;
    char charIn;

    void setup() {
      size(200, 200);
      myClient = new Client(this, "127.0.0.1", 5204);
    }

    void draw() {
      if (myClient.available() > 0) {
        charIn = myClient.readChar();
        println(dataIn);
      }
    }

Description | Returns the next byte in the buffer as a char. Returns -1 or 0xffff if nothing is there.

Syntax

    client.readChar()

Parameters

client | any variable of type Client

Returns | int
Usage | Application

Updated on November 22, 2008 08:39:25pm PST